%global _empty_manifest_terminate_build 0

Name:           python-pyproject-api
Version:        1.5.3
Release:        1
Summary:        API to interact with the python pyproject.toml based projects

License:        MIT
URL:            https://pyproject-api.readthedocs.org
Source0:        https://files.pythonhosted.org/packages/source/p/pyproject-api/pyproject_api-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-editables
BuildRequires:	python3-hatch-vcs
BuildRequires:	python3-hatchling
BuildRequires:  python3-virtualenv
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-mock

%global _description %{expand:
API to interact with the python pyproject.toml based projects.}

%description %_description

%package -n     python3-pyproject-api
Summary:        %{summary}

%description -n python3-pyproject-api %_description

%prep
%autosetup -n pyproject_api-%{version}
# Remove unneeded testing deps
sed -i "/covdefaults/d;/pytest-cov/d" pyproject.toml

%build
%pyproject_build

%install
%pyproject_install

%check
# We don't want to depend on Python 2
CFLAGS="${CFLAGS:-${RPM_OPT_FLAGS}}" LDFLAGS="${LDFLAGS:-${RPM_LD_FLAGS}}" \
PATH="%{buildroot}%{_bindir}:$PATH" \
PYTHONPATH="${PYTHONPATH:-%{buildroot}%{python3_sitearch}:%{buildroot}%{python3_sitelib}}" \
PYTHONDONTWRITEBYTECODE=1 \
%{?__pytest_addopts:PYTEST_ADDOPTS="${PYTEST_ADDOPTS:-} %{__pytest_addopts}"} \
PYTEST_XDIST_AUTO_NUM_WORKERS=%{_smp_build_ncpus}} \
%{_bindir}/pytest -k "not test_can_build_on_python_2"

%files -n python3-pyproject-api
%doc README.md
%license LICENSE
%{python3_sitelib}/pyproject_api
%{python3_sitelib}/pyproject_api*.dist-info/

%changelog
* Tue Jul 11 2023 li-miaomaio_zhr <mmlidc@isoftstone.com> - 1.5.3-1
- Upgrade version of package to 1.5.3

* Tue Jun 13 2023 Dongxing Wang <dxwangk@isoftstone.com> - 1.5.1-1
- Initial package 1.5.1
